#
# spec file for package autoyast2 (Version 2.9.45)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  docbook-style-xsl docbook-utils libxml2 libxslt yast2 yast2-bootloader yast2-country yast2-devel-packages yast2-installation yast2-mouse yast2-packager yast2-storage yast2-transfer yast2-update yast2-x11 yast2-xml

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu docbook-style-xsl docbook-utils doxygen expect gcc gdbm gettext libtool libxml2 libxslt liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext  rpm tcl update-desktop-files yast2 yast2-bootloader yast2-core yast2-core-devel yast2-country yast2-devtools yast2-installation yast2-mouse yast2-packagemanager yast2-packagemanager-devel yast2-packager yast2-perl-bindings yast2-storage yast2-testsuite yast2-transfer yast2-update yast2-x11 yast2-xml suse-macros pkgconfig

Name:         autoyast2
URL:          http://www.suse.com/
Version:      2.9.45
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      autoyast2-2.9.45.tar.bz2
prefix:		/usr
Requires:     yast2-core yast2-xml libxslt
Requires:     autoyast2-installation = %{version}
Provides:     yast2-module-autoinst yast2-config-autoinst
Obsoletes:    yast2-module-autoinst yast2-config-autoinst
Provides:     yast2-lib-autoinst
Obsoletes:    yast2-lib-autoinst
PreReq:       %fillup_prereq
BuildArchitectures:	noarch
Summary:      YaST2 - Auto Installation

%description
This package is intended for management of the control files and the
configurations of AutoYaST2. This system should be used by experienced
system administrators only. Warning: AutoYaST2 performs the
installation without any user intervention, warnings, or confirmations
(unless specified in the control file).



%package installation
Version:      2.9.45
Release:      0.2
Summary:      YaST2 - Auto Installation Modules
Group:        System/YaST
Requires:     yast2-xml yast2-core
Requires:     yast2-transfer
Provides:     yast2-trans-autoinst
Obsoletes:    yast2-trans-autoinst

%description installation
This package performs auto-installation relying on a control file
generated with the autoyast2 package.



Authors:
--------
    Anas Nashif <nashif@suse.de>

%package utils
Version:      2.9.45
Release:      0.2
Summary:      YaST2 - Auto Installation Utilities
Group:        System/YaST

%description utils
This package is intended for management of the control files and the
configurations of AutoYaST2. This system should be used by experienced
system administrators only. Warning: AutoYaST2 performs the
installation without any user intervention, warnings or confirmations
(Unless specified in the control file).

This file contains YaST2-independent files needed to create
installation sources.



%prep
%setup -n autoyast2-2.9.45
%setup -q 

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32 CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done
for d in `ls $RPM_BUILD_ROOT/usr/share/autoinstall/modules/*.desktop`; do
    %suse_update_desktop_file $d
done
# Class conf
install -d -m 700 $RPM_BUILD_ROOT/etc/autoinstall
# Installation files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/scripts
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/init.d
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/logs
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/cache
# Repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/templates
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/rules
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/classes
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/autoconf
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/tmp

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_only -n autoinstall}

%files
%defattr(-,root,root)
%dir /etc/autoinstall
%dir /usr/share/YaST2/include/autoinstall
%dir /var/lib/autoinstall/repository
%dir /var/lib/autoinstall/repository/templates
%dir /var/lib/autoinstall/repository/rules
%dir /var/lib/autoinstall/repository/classes
%dir /var/lib/autoinstall/tmp
%doc %{prefix}/share/doc/packages/autoyast2
%{prefix}/share/applications/YaST2/autoyast.desktop
/usr/share/autoinstall/modules/*.desktop
/usr/share/YaST2/include/autoinstall/classes.ycp
/usr/share/YaST2/include/autoinstall/conftree.ycp
/usr/share/YaST2/include/autoinstall/dialogs.ycp
/usr/share/YaST2/include/autoinstall/partition_dialogs.ycp
/usr/share/YaST2/include/autoinstall/script_dialogs.ycp
/usr/share/YaST2/include/autoinstall/general_dialogs.ycp
/usr/share/YaST2/include/autoinstall/wizards.ycp
/usr/share/YaST2/include/autoinstall/helps.ycp
/usr/share/YaST2/clients/general_auto.ycp
/usr/share/YaST2/clients/report_auto.ycp
/usr/share/YaST2/clients/classes_auto.ycp
/usr/share/YaST2/clients/scripts_auto.ycp
/usr/share/YaST2/clients/software_auto.ycp
/usr/share/YaST2/clients/storage_auto.ycp
/usr/share/YaST2/clients/autoyast.ycp
/usr/share/YaST2/scrconf/cfg_flamethrower.scr
/usr/share/YaST2/scrconf/tmp_alice_network.scr
/usr/share/YaST2/scrconf/tmp_alice_part.scr
/usr/share/YaST2/scrconf/ksimport.scr
/usr/share/YaST2/scrconf/tmp_alice_routes.scr
/usr/share/YaST2/scrconf/yast1sel.scr
/usr/share/YaST2/modules/AutoinstClass.y*
/usr/share/YaST2/modules/Kickstart.y*
/usr/share/YaST2/modules/Alice.y*
/usr/lib/YaST2/servers_non_y2/ag_yast1sel
/usr/lib/YaST2/servers_non_y2/ag_ksimport
# additional files
/var/adm/fillup-templates/sysconfig.autoinstall

%files installation
%defattr(-,root,root)
/usr/share/YaST2/scrconf/autoinstall.scr
/usr/share/YaST2/scrconf/cfg_autoinstall.scr
# DTD files
%dir /usr/share/autoinstall
%dir /usr/share/autoinstall/dtd
%dir /usr/share/autoinstall/rng
%dir /usr/share/autoinstall/modules
/usr/share/autoinstall/dtd/*
/usr/share/autoinstall/rng/*
/etc/init.d/autoyast
%dir /usr/share/autoinstall/xslt
/usr/share/autoinstall/xslt/merge.xslt
# config file
/usr/share/YaST2/modules/AutoinstClone.y*
%dir /usr/share/YaST2/include/autoinstall
/usr/share/YaST2/include/autoinstall/partitioning.ycp
/usr/share/YaST2/include/autoinstall/io.ycp
/usr/share/YaST2/include/autoinstall/autoinst.ycp
/usr/share/YaST2/include/autoinstall/autoinst_dialogs.ycp
/usr/share/YaST2/modules/AutoInstall.y*
/usr/share/YaST2/modules/AutoinstScripts.y*
/usr/share/YaST2/modules/AutoinstGeneral.y*
/usr/share/YaST2/modules/AutoinstImage.y*
/usr/share/YaST2/modules/Y2ModuleConfig.y*
/usr/share/YaST2/modules/Profile.y*
/usr/share/YaST2/modules/AutoinstFile.y*
/usr/share/YaST2/modules/AutoinstConfig.y*
/usr/share/YaST2/modules/AutoinstSoftware.y*
/usr/share/YaST2/modules/AutoinstLVM.y*
/usr/share/YaST2/modules/AutoinstRAID.y*
/usr/share/YaST2/modules/AutoinstStorage.y*
/usr/share/YaST2/modules/AutoInstallRules.y*
/usr/share/YaST2/modules/ProfileLocation.y*
#clients
/usr/share/YaST2/clients/inst_autoinit.ycp
/usr/share/YaST2/clients/inst_autoimage.ycp
/usr/share/YaST2/clients/inst_autosetup.ycp
/usr/share/YaST2/clients/inst_autoconfigure.ycp
/usr/share/YaST2/clients/inst_autopost.ycp
/usr/share/YaST2/clients/files_auto.ycp
/usr/share/YaST2/include/autoinstall/xml.ycp
%dir /var/adm/autoinstall/
%dir /var/adm/autoinstall/scripts
%dir /var/adm/autoinstall/init.d
%dir /var/adm/autoinstall/logs
%dir /var/adm/autoinstall/files
%dir /var/adm/autoinstall/cache
%dir /var/lib/autoinstall
%dir /var/lib/autoinstall/autoconf

%files utils
%defattr(-,root,root)
/usr/bin/create_package_descr

%changelog -n autoyast2
* Tue Mar 13 2007 - wenji.huang@oracle.com
- Fit spec to RHEL/EL
* Mon Jun 07 2004 - nashif@suse.de
- Dont loop trying to copy non-existent control file (#41751)
* Mon Jun 07 2004 - nashif@suse.de
- fixed setting of bootloader data in autoyast (#41681)
- V. 2.9.44
* Thu May 27 2004 - nashif@suse.de
- Fixed images in documentation
* Thu May 27 2004 - nashif@suse.de
-  Fixed Resetting of network data
* Thu May 27 2004 - nashif@suse.de
- #41227: Use functions from yast2-bootloader when installatig
  bootloader
* Thu May 27 2004 - nashif@suse.de
- #41018: Network access in post-scripts is now possible again. Post
  scripts can run in 3 possible spots: before installation network
  is shutdown, after autoyast configures the system and after
  SuSEconfig is run
* Mon May 24 2004 - nashif@suse.de
- Fixed RAID cloning
- if rules.xml is found but no rules apply, use default rules (hexip,
  mac).
- doc updates
* Sat May 22 2004 - nashif@suse.de
- Fixed Partition cloning
- Fixed LVM cloning
- Updated DTD
* Fri May 21 2004 - nashif@suse.de
- Update DTD, Docs
- Fixed autoconf mode
* Thu May 13 2004 - nashif@suse.de
- Update neededforbuild for docbook
* Thu May 13 2004 - nashif@suse.de
- use stylesheets to generate html documentation during package
  build time
* Mon May 10 2004 - nashif@suse.de
- documenation updates
- #40067: file open dialog doesn' t display all files
  (wrong type filter)
- set reporitng behavior in continue mode after setting defaults,
  not before.
- V 2.9.40
* Tue May 04 2004 - nashif@suse.de
- merged proofread texts
- V 2.9.39
* Thu Apr 29 2004 - nashif@suse.de
- lvm over raid syntax conversion fix (#39603)
- V 2.9.38
* Wed Apr 28 2004 - nashif@suse.de
- convert lv filesystem type correctly (#39598)
* Tue Apr 27 2004 - nashif@suse.de
- Add option to halt after first stage
- Set runlevel correctly when install over serial console
* Sun Apr 18 2004 - nashif@suse.de
- Updated docs
- Use new icon for yast2 control center
* Sat Apr 17 2004 - nashif@suse.de
- Translate internal desktop files (#38234)
* Sat Apr 17 2004 - nashif@suse.de
- On IA64, always use /boot/efi as the boot partition (#36061)
* Wed Apr 07 2004 - nashif@suse.de
- Use HWAddr instead of NetHWAddr (#38581)
* Mon Apr 05 2004 - nashif@suse.de
- Use fallback kernels and use kernel computation function from
  yast2-packager
* Fri Apr 02 2004 - nashif@suse.de
- Adapted to use new wizard
- Change license to GPL
* Fri Apr 02 2004 - nashif@suse.de
- retrieve all cap mac address file  (#37980 )
- restart the control file retrieval process from scratch (#37980 )
* Thu Apr 01 2004 - nashif@suse.de
- Fixed cloning: dont add evms, use mount points from
  Storage map. (#37931)
* Wed Mar 31 2004 - nashif@suse.de
- Close dialog on cancel when importng files
* Mon Mar 29 2004 - nashif@suse.de
- Enable auto option with swap on lvm
- Set lvm2 on PVs
- Set bootloader options correctly
* Fri Mar 26 2004 - nashif@suse.de
- added missing textdomain
- updated DTD
- fixed creation of 4 primary partitions using partition_nr
* Sun Mar 21 2004 - nashif@suse.de
- added support for remote scripts
- variable based rules
- disabled button in validity checks
- dont complain about space during partition plan creation
* Thu Mar 18 2004 - nashif@suse.de
- Install LVM packages if LVM is configured
* Wed Mar 17 2004 - nashif@suse.de
- Set runlevel correctly to prevent booting into runlevel 0 (#36130)
* Tue Mar 16 2004 - nashif@suse.de
- Validity Checks
- Fstab handling improved with some additional options to prevent
  formatting of partitions with data
* Fri Mar 12 2004 - nashif@suse.de
- Added wizard icons
- new option for partitioning (read_fstab ):
  Use partitioning data from fstab, dont create partitions, just
  format them and mount them
- Image support. Use flamethrower as image server. Implemented
  flamethrower  client in ycp
- Show name of control file being retrieved
- Other fixes..
* Wed Mar 10 2004 - nashif@suse.de
- Read data from desktop files correctly. Especially for
  resource!= client cases
* Wed Mar 10 2004 - nashif@suse.de
- Workaround for new wizard
* Mon Mar 08 2004 - nashif@suse.de
- Use Sequencer and simplified main interface
* Mon Mar 08 2004 - nashif@suse.de
- Add generated docs to CVS
- removed doc tar
- install all documents
- 2.9.22
* Sun Mar 07 2004 - nashif@suse.de
- Revert last change
- 2.9.21
* Fri Mar 05 2004 - nashif@suse.de
- Install auto generated docs
- 2.9.20
* Fri Mar 05 2004 - nashif@suse.de
- stricter type checking
- Fixed alice import
- use Pkg::SetAdditionalLocales.
- 2.9.19
* Tue Mar 02 2004 - nashif@suse.de
- Removed EXTRA_PROV files, not on the CD
* Tue Mar 02 2004 - nashif@suse.de
- Type info fixes
- dont export unsupported kickstart options
- fixed storage configuration
- dtd updates
- doc updates
- 2.9.17
* Tue Feb 24 2004 - nashif@suse.de
- Re-enabled LVM and RAID
- Fixed Types
- 2.9.16
* Mon Feb 23 2004 - nashif@suse.de
- Use new kernel names
- 2.9.15
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Thu Feb 19 2004 - nashif@suse.de
- Renamed clients, following naming conventiosn for auto and
  installation clients
* Mon Feb 16 2004 - nashif@suse.de
- removed usage of variable hardBoot -> obsolete.
- 2.9.11
* Tue Feb 10 2004 - nashif@suse.de
- Fixed variable reading from desktop files
- 2.9.10
* Tue Feb 10 2004 - nashif@suse.de
- Use desktop file variables
- 2.9.9
* Tue Feb 10 2004 - nashif@suse.de
- Fixes for new interpreter
- doc updates
- 2.9.8
* Sun Feb 08 2004 - nashif@suse.de
- Fixes for new interpreter
- 2.9.7
* Sun Feb 01 2004 - nashif@suse.de
- Fixes for new interpreter
- 2.9.6
* Sun Feb 01 2004 - nashif@suse.de
- more fixes for new interpreter
- keep url for control file as, just modify path when necessary.
- 2.9.5
* Sat Jan 31 2004 - arvin@suse.de
- moved module AutoinstConfig to autoyast2-installation package
* Wed Jan 28 2004 - nashif@suse.de
- moved monitor configuration to x11
* Mon Jan 19 2004 - nashif@suse.de
- improved kickstart import
- Fixed misc. dialogs
* Sun Nov 30 2003 - nashif@suse.de
- New Interpreter Changes
- User Desktop files instead of y2cc
* Thu Sep 18 2003 - nashif@suse.de
- Fixed #31233: creating a cryptofs fails
* Wed Sep 17 2003 - nashif@suse.de
- Close installation source before post-scripts to allow installation
  of custom packages during autoinstall (#31172)
- 2.8.13
* Wed Sep 17 2003 - nashif@suse.de
- Updated docs
- Updated EXTRA_PROV
- Fixed bug when reusing non-neighbouring partitions
- Fixed bug where autoyast loads html file of directory contents
  on web server
- 2.8.12
* Sat Sep 13 2003 - nashif@suse.de
- #30678: Moved inst_startup from general workflow to autoinst_init
- Added basic yast2 module dependency sorting to fix some issues
  with late user creation and network dependencies
* Mon Sep 08 2003 - nashif@suse.de
- Dont set package selection Minimal when cloning (#29450 )
- Doc updates
- 2.8.10
* Tue Sep 02 2003 - nashif@suse.de
- Fixed post-installation: Data of several modules was overridden.
- Fixed partitioning: Some rare scnarios with raid not being deleted
- 2.8.9
* Mon Sep 01 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Thu Aug 21 2003 - nashif@suse.de
- Added autoinst_post.ycp for additional packages required by yast2
  modules
* Mon Aug 18 2003 - nashif@suse.de
- Added remove-packages feature for removing automatically selected
  packages
* Fri Aug 15 2003 - nashif@suse.de
- Fixed bug #28797: /var/lib/autoinstall is not owned by
  autoyast2-installation
- Fixed bug #28928: /tmp/profile should not be created on system
* Tue Aug 12 2003 - nashif@suse.de
- Dont not build docs
- 2.8.5
* Mon Aug 11 2003 - nashif@suse.de
- Merged proof read meassages
- 2.8.4
* Wed Aug 06 2003 - nashif@suse.de
- Add option to modify control file during installation and reload
  it after pre script is executed
* Mon Aug 04 2003 - nashif@suse.de
- Adapt to new yast2 types for ip configuration
- 2.8.3
* Tue Jul 29 2003 - nashif@suse.de
- doc updates
- with complete files one can run a script and set permissions of
  files
- 2.8.2
* Sat Jul 05 2003 - nashif@suse.de
- allow keeping lvm logical volumes
- allow resizing of lvm lvs
* Wed Jun 11 2003 - nashif@suse.de
-added dialog for optoinal hd selection during installation
-fixed file list
* Thu Jun 05 2003 - nashif@suse.de
- LVM improvements
- Make LVM part of partitioning resource
* Sat May 17 2003 - nashif@suse.de
- fixed perl script execution
- #26859: create /boot with ext3 via autoyast
- remove useless test cases
- 2.8.0
* Mon Mar 17 2003 - nashif@suse.de
- #25446: Read control file from CD-ROM if not mounted
- Copy media file to create ISO image
- Copy class directory to ISO
- return false and not `abort on errors
- updated docs
- 2.7.18
* Fri Mar 14 2003 - nashif@suse.de
- updated docs
* Thu Mar 13 2003 - nashif@suse.de
- updated EXTRA_PROV to latest 8.2 status: #25286
* Wed Mar 12 2003 - nashif@suse.de
- Start portmap if profile is on NFS (#25132)
- Handle plural messages (#24966)
- 2.7.16
* Wed Mar 12 2003 - mvidner@suse.de
- Fixed translating menu tree items and summary captions (#25142).
- Added autoinst_modules.conf to POTFILES (#25136).
* Mon Mar 10 2003 - nashif@suse.de
- doc updates and fixes
- better error handling (refixed #24795)
- Set RAID size correctly
- 2.7.15
* Fri Mar 07 2003 - nashif@suse.de
- #24795: Fixed error dialog, when profile is missing on remote server
- #24769: wrong partition id for swap
- doc fixes, added missing images
- 2.7.14
* Tue Mar 04 2003 - nashif@suse.de
- Avoid resetting of initrd modules list during bootloader import (#24380)
- Move initialization of disk to inst_prepdisk (#23607 )
- 2.7.13
* Mon Mar 03 2003 - nashif@suse.de
- Fixed cloning (#24536 )
- Doc updates
- Fixed File dialog popups (#24304)
- Updated XML list names
- 2.7.12
* Mon Feb 24 2003 - nashif@suse.de
- install alice-compat only when needed
- improved kickstart/alice import
- Completed full Compatibility to kickstart partition size options
- Fixed package selection dialogs
- doc updates
- 2.7.11
* Thu Feb 20 2003 - nashif@suse.de
- adapted spec file
- use PkgInstall to tag package as selected by user
- various fixes
- 2.7.10
* Tue Feb 18 2003 - nashif@suse.de
- Fixed bug #23746: saving files now works in text mode
- Read y2cc files in normal mode (Cloning)
* Tue Feb 18 2003 - nashif@suse.de
- added missing file to spec
- doc updates
- custom rules using scripts
- 2.7.9
* Tue Feb 18 2003 - nashif@suse.de
- More doc updates
- ask when initializing disk if confirm is true
- 2.7.8
* Fri Feb 14 2003 - nashif@suse.de
- Docuemntation upodates
- Various fixes
- Software selection
- Added config file autoyast2-installation
- 2.7.7
* Mon Feb 10 2003 - nashif@suse.de
- Changed sub-module naming scheme
- Docuemntation upodates
- Partitioning improvements
- 2.7.6
* Tue Feb 04 2003 - nashif@suse.de
- Improved cloning
- Fixed ISO creation
- Text fixes
- 2.7.5
* Tue Jan 28 2003 - nashif@suse.de
- Bootloader cloning
- Various dialog fixes
- 2.7.4
* Mon Jan 27 2003 - nashif@suse.de
- Fixed dialogs and some workflow issues
- Reintegrated classes
- 2.7.3
* Fri Jan 24 2003 - nashif@suse.de
- Fixed #23024: Missing call for Profile module
- Fixed various missing variables
- Added support for disksize rule
- refined repartitioning
- 2.7.2
* Tue Jan 21 2003 - nashif@suse.de
- New interface with a simple menu system
- Retrieve control files depending on pre-defined and user defined
  rules
- Merge Profiles on the fly and during installation
- Reworked ISO creation process
- Use Package selector for software configuration
- New external module calling scheme
- Advanced partitioning improved and extended
  * Reuse partitions without formatting
  * Destroy LVM volumes
- Clone basic data (network, authentication etc.)
- Integrated more YaST2 modules
- 2.7.1
* Thu Nov 14 2002 - nashif@suse.de
- Put prepared docs into a tar
- Merge bug fixes from 8.1
- 2.7.0
* Wed Oct 30 2002 - nashif@suse.de
- Fixed bug #21409: On SLES/UL install defaults to lilo
* Mon Oct 28 2002 - nashif@suse.de
- Fixed bug #21359: extended partitions with id 15 are not created
  when cloning
* Sun Oct 27 2002 - nashif@suse.de
- Fixed bug #20732: Dont use /tmp for writing files with fixed name.
* Mon Oct 21 2002 - nashif@suse.de
- Fixed bug #21142: remove one option from xsltproc command when merging
  classes.
- 2.6.36
* Wed Oct 02 2002 - nashif@suse.de
- sysconfig variables default to empty string and not 'dummy' (bug #20619)
- Dont check for path of source if only reading package source data (bug #20620)
- dont merge packages, addons (bug #20622)
- fixed typo while checking for start_x11 (bug #20621)
- DTD updates/fixes
- Restore Next button in classes
- added some packages to needeforbuild to convert screenshots
- verify that class names do not contain spaces (bug #20621)
* Wed Sep 25 2002 - nashif@suse.de
- Do not allow spaces in class names
- added one more missing file to spec
- 2.6.34
* Tue Sep 24 2002 - nashif@suse.de
- Fixed: Add nfs packages if NFS is configured
- Fixed: Copy package database to correct path of ISO skeleton
- Cache selection data instead of quering database twice
- Added missing configuration file to spec
* Tue Sep 17 2002 - nashif@suse.de
- doc updates
- fixed #19778: Interactive mode is default, user must change this to have fully
  automated installtion. This prevented kernel from being installed if <mode> was not
  declared.
* Thu Sep 12 2002 - nashif@suse.de
- Do not create installation source caches here, instead use source
  manager.
- 2.6.32
* Tue Sep 10 2002 - nashif@suse.de
- updated docs
- updated dtd
- added missing y2cc file to spec
- 2.6.31
* Mon Sep 09 2002 - nashif@suse.de
- provide internal packages (kernel etc) early as Proposal might not
  have been called
- doc updates
- dtd updates
- 2.6.30
* Mon Sep 09 2002 - nashif@suse.de
- added and updated DTD files
- fixed configuration of X11
- 2.6.29
* Sun Sep 08 2002 - nashif@suse.de
- delete custom scripts correctly
* Sun Sep 08 2002 - nashif@suse.de
- reduce logging
- fixed fstab options in partitioning dialog
- new control file resets old data
- 2.6.28
* Sat Sep 07 2002 - nashif@suse.de
- updated docs
- added latest create_package_descr and needed files
- check for errors and abort if something goes wrong during installation
- adapted spec file with new files
- 2.6.26
* Sat Sep 07 2002 - nashif@suse.de
- Fixed writing of XML files needed for classes (#18865).
- 2.6.27
* Sat Sep 07 2002 - mvidner@suse.cz
- Include /etc/autoinstall/ (#18865).
- 2.6.25
* Thu Sep 05 2002 - nashif@suse.de
- Fixed to create ISO images again, using latest package manager rlease
- 2.6.24
* Thu Sep 05 2002 - nashif@suse.de
- fixed error dialog for unsupported protocols for control file location
- set scheme to floppy if file found on floppy
- 2.6.23
* Wed Sep 04 2002 - nashif@suse.de
- added more list names in generated xml files
- Fix creation of extended partitions when only partition_id is known
  (for Restore module)
- Fix x11 data configuration (start_x11 was not configured)
- 2.6.22
* Tue Sep 03 2002 - nashif@suse.de
- fixed hardware clock settings
- more adaptions to package manager
- partition table sorting fixes
- 2.6.21
* Mon Sep 02 2002 - nashif@suse.de
- update docs
- added autoconf for configuring already installed systems
- RAID fixes
- 2.6.20
* Thu Aug 29 2002 - nashif@suse.de
- delete runme_at_boot in second stage
- Fixed setting of language and timezone
- write displaymanager values only if X is available
- hwclock is not boolean when importing kickstart files
- 2.6.19
* Wed Aug 28 2002 - nashif@suse.de
- remove checking for X11
- set locale for package manager
- doc updates
- 2.6.18
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Tue Aug 27 2002 - fehr@suse.de
- add change necessary due to change in auto_part_create.ycp of
  storage module.
* Tue Aug 27 2002 - nashif@suse.de
- fixed return value from main menu
- 2.6.17
* Tue Aug 27 2002 - nashif@suse.de
- commit software selections
- adapted ISO creation to new CD layout
- 2.6.16
* Mon Aug 26 2002 - nashif@suse.de
- partitioning fixes
- 2.6.15
* Sat Aug 24 2002 - nashif@suse.de
- fixed progress bar ordering
- control file can now be stored on a storage device
- fixed error dialog
* Wed Aug 21 2002 - nashif@suse.de
- adaptions to new packager (installer only)
- partitioning fixes
- V 2.6.14
* Mon Aug 19 2002 - nashif@suse.de
- bug #17801 fixed: Added PreReq
- doc updates
- bootloader fixes (now taking grub into account)
- post installation now works again
* Wed Aug 14 2002 - nashif@suse.de
- fixed packages needed for build
- misc doc updates
- actiavte dead buttons
- proof-read texts for translation
- 2.6.12
* Mon Aug 12 2002 - nashif@suse.de
- sysconfig variable configuration
- kernel module configuration
- 2.6.11
* Tue Aug 06 2002 - nashif@suse.de
- Fixed package selection in when cloning
- Partitioning updates
- 2.6.10
* Mon Aug 05 2002 - nashif@suse.de
- More adaptions to latest yast2 state
- doc updates
- added support for configuration options (nfs_server)
- 2.6.9
* Mon Jul 29 2002 - nashif@suse.de
- RAID support added
- LVM improvements and rewrite
- Kickstart import imporovements
- 2.6.8
* Tue Jul 23 2002 - nashif@suse.de
- help text fixes & updates
- Kickstart/Alice Import improvments
- 2.6.7
* Mon Jul 22 2002 - nashif@suse.de
- doc updates
- create ISO
- workflow fixes
- partitioning enhancements
- 2.6.6
* Mon Jul 15 2002 - nashif@suse.de
- doc changes
- readded X11 configuration (WOP)
- added more help texts
- Added more summaries
- Fixed post-install part
- 2.6.5
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
- 2.6.4
* Sat Jul 06 2002 - nashif@suse.de
- Alice import improvements
- Import redhat kickstart files
- Changed package dependencies
- 2.6.3
* Thu Jul 04 2002 - nashif@suse.de
- Created package with new dev tools
- 2.6.2
* Wed Jul 03 2002 - nashif@suse.de
- Merged yast2-config-autoinst and yast2-module-autoinst
- Alice Configuration Imports
- Linuxrc Options and 'info' file creation
- Adaption to new structure of yast2
* Wed May 29 2002 - nashif@suse.de
- Run post-install depending on installed modules
- Use yast2-lib-xml instead of using XML agent directly
- Improved automated partitioning
- Rely on yast2-lib-network instead of custom code
* Wed Apr 17 2002 - nashif@suse.de
- fixed parsing of command line parameters, now also parse port number
  and handle colon in url
- In failure pop-up default to previously selected protocol
* Tue Mar 26 2002 - nashif@suse.de
- handle default behaviour (distinguish between medium root and installation
  root)
* Tue Mar 26 2002 - nashif@suse.de
- Through fix for #15430, runme_at_boot is not deleted in autoinst mode (inst_root is
  not called in autoinst mode). Remove runme_at_boot here
* Tue Mar 26 2002 - nashif@suse.de
- If a file referenced with file:// is not found on source medium, try to find it
  relative to the mount root/installation system
* Mon Mar 25 2002 - nashif@suse.de
- Fixed bug: Copy control file if specified with file:// from the right
  source location
- Fixed bug: return error if control file not found with file://
- indent code
- doc updates
* Tue Mar 19 2002 - nashif@suse.de
- finalized documentation
- default pesize for LVM is 4M and not 0
- bug #15082: Added call for missing printconf in post-intallation
* Fri Mar 15 2002 - nashif@suse.de
- Fixed bug #15005: Use /var/adm/autoinstall/logs instead of
  /var/adm/autoinstall/inst-logs for logging output of post scripts
- Documentation updates
- 2.5.18
* Mon Mar 04 2002 - nashif@suse.de
- Doc updates
- 2.5.17
* Sun Mar 03 2002 - nashif@suse.de
- added md5 support (bug #13250)
- added reboot options to force reboot after auto-installation
- Fixed problem with profile retrieval where functions returned false
  when they had to return true!
- use profile as id for sgml references instead of default one
* Thu Feb 28 2002 - nashif@suse.de
- Fixed bug#14084
* Thu Feb 28 2002 - nashif@suse.de
- Set the langauge correctly using the Language module
- Added debug messages in setup client
- Removed unused User module from autoinst_setup
- doc updates
* Tue Feb 26 2002 - nashif@suse.de
- use Language::language instead of Installation::Language
- Set selection to Minimal if nothing is declared
- Check for configured X11 correctly
* Mon Feb 18 2002 - nashif@suse.de
- use network data from installMap instead of scr
- doc updates
* Wed Feb 13 2002 - nashif@suse.de
- doc updates
- completed feature to have complete conf files which
  can be copied anywhere in the installed system
- completed feature to add any sysconfig variable given the path, key
  and value
- script directories are now created in the spec file
* Tue Feb 12 2002 - nashif@suse.de
- Create only selected partitions, if specified in control file
- 2.5.15
* Mon Feb 11 2002 - nashif@suse.de
- doc updates
- configure runlevel, inetd
- 2.5.14
* Tue Feb 05 2002 - nashif@suse.de
- Updated documentation. now with a reference
- 2.5.13
* Mon Feb 04 2002 - nashif@suse.de
- Fixed documentation and images
- 2.5.12
* Mon Feb 04 2002 - nashif@suse.de
- Partitioning modifications
- Code cleanup
- 2.5.11
* Mon Jan 28 2002 - nashif@suse.de
- X11 configuration updates
- Package selection updates
- Bootloader configuration finalized
- 2.5.10
* Fri Jan 25 2002 - nashif@suse.de
- Option to initialize disks added
- Removed dependency on XML agent
- Updated docs
* Mon Jan 21 2002 - nashif@suse.de
- Adapted to latest version of YaST2
- non-SuSE package handling
- Post-install improvements( Mail)
- preview version
* Tue Jan 15 2002 - nashif@suse.de
- Handle packages in package module
- Fixed Makefile.am for documentation
- Mail directive parsing improvements
* Mon Jan 14 2002 - nashif@suse.de
- SGML Documentation
- control file changes (report directive )
* Sun Jan 13 2002 - nashif@suse.de
- X11 Support
- Various post-install additions (nis, nis+, mail, security etc.)
- XML Parser improvements
* Tue Jan 08 2002 - nashif@suse.de
- Added LVM Support
- Execute user-defined scripts before system first boot
- Make all the way to the login prompt :-)
* Thu Jan 03 2002 - nashif@suse.de
- Split module to installation and configuration parts
* Mon Nov 19 2001 - nashif@suse.de
- Fix lookup defaults
* Mon Oct 22 2001 - nashif@suse.de
- initial version
